Set Network Interface Type when creating new VMs in RHEV Compute Resource
Status: Closed   

Priority: Normal   

Assignee: Shira Maximov   

Category: Compute resources - oVirt   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link: 1336439 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5772

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1336439

Description of problem:

When creating new VMs in RHEV Compute Resource by default the network interface type is "virtio". It will be nice if one can select

which interface to use directly in Satellite.

Version-Release number of selected component (if applicable):

6.1.X

How reproducible:

100%

Steps to Reproduce:

1. Create new VM from Satellite to RHEV Compute Resource

2. Check the Network Interface Type in RHEV

Actual results:

Automatically set to "virtio"

Expected results:

Be able to select different ones (virtio, rtl8139, e1000)

Additional info:

Related issues:

Has duplicate Foreman - Feature #23974: Set Network Interface Type when creat... Duplicate 06/18/2018

Associated revisions

Revision 7a9ca9cb - 07/20/2018 08:06 AM - Shira Maximov

Fixes #23975 - Add Network Interface Type in ovirt VM

History

#1 - 07/10/2018 02:10 PM - Shira Maximov

- Status changed from New to Assigned

- Assignee set to Shira Maximov

- Triaged set to No

#2 - 07/10/2018 02:29 PM - Shira Maximov

- Has duplicate Feature #23974: Set Network Interface Type when creating new VMs in RHEV Compute Resource added

#3 - 07/20/2018 08:06 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5772 added

#4 - 07/20/2018 08:09 AM - Daniel Lobato Garcia

- Target version set to 1.19.0

- Fixed in Releases 1.19.0 added

#5 - 07/20/2018 12:21 PM - Shira Maximov

- Status changed from Ready For Testing to Closed

Applied in changeset 7a9ca9cbfc4343e350886db36b7937b4ba86e052.
